NodeAccountingServiceAsync (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-01

org.gcube.messaging.accounting.nodeaccountingportlet.stubs

## Interface NodeAccountingServiceAsync

-     public interface NodeAccountingServiceAsync

  Author:
    Andrea Manzi (CERN)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(ArrayList<String[]> record, String name, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getGHNs(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> callback)`
    `void` | `getRecords(String ghn, String scope, String serviceClass, String serviceName, String sortColumn, String sortDir, int start, int limit, String[] date, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getScopes(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ArrayList<String>>> callback)`
    `void` | `getServices(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> callback)`
    `void` | `getStartDate(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
    `void` | `getStatistics(String serviceClass, String serviceName, String callerScope, String ghn, String groupBy, String sortColumn, String sortDir, String[] dates, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`

- - ### Method Detail

    - #### export

          void export(ArrayList<String[]> record,
                    String name,
                    com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getStartDate

          void getStartDate(com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getScopes

          void getScopes(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<ArrayList<String>>> callback)

    - #### getRecords

          void getRecords(String ghn,
                        String scope,
                        String serviceClass,
                        String serviceName,
                        String sortColumn,
                        String sortDir,
                        int start,
                        int limit,
                        String[] date,
                        com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

    - #### getGHNs

          void getGHNs(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> callback)

    - #### getServices

          void getServices(com.google.gwt.user.client.rpc.AsyncCallback<Map<String,ArrayList<String>>> callback)

    - #### getStatistics

          void getStatistics(String serviceClass,
                           String serviceName,
                           String callerScope,
                           String ghn,
                           String groupBy,
                           String sortColumn,
                           String sortDir,
                           String[] dates,
                           com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

Copyright © 2014. All Rights Reserved.